body {
  margin: 0;
  font-family: Arial, sans-serif;
}

p,h1 {
  margin-block: 0;
  margin-inline: 0;
}

#navbar {
  width: 100%;
  background-color: black;
  display: flex;
  align-items: center;
  gap: 1rem;
}

#logo {
  margin-left: 3rem;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

#logo-text {
  font-size: 1.25rem;
  font-weight: normal;
  color: white
}

.base-container {
  margin-left: 5rem;
}

#hero {
  display: grid;
  grid-template-columns: repeat(2, minmax(0, 1fr));
}

#hero-img img {
  width: 100%
}

.text-gray {
  color: #575756
}

.text-red {
  color: #BF1C27
}

.bold {
  font-weight: bold;
}

#hero-text-1 {
  margin-top: 4rem;
  font-size: 2.25rem;
  margin-bottom: 3rem;
}

#hero-text-2 {
  font-size: 2.4rem;
  font-weight: bold;
}

#actions-container {
  display: flex;
  align-items: flex-start;
  margin-top: 2rem;
}

#can-action-text {
  line-height: 1.25rem;
  margin-left: 2.5rem;
  border-left: solid;
  border-left-width: 2px;
  border-color: #BF1C27;
  padding-left: 0.5rem;
  width: 75%;
  font-size: 0.9rem;
}

#footer {
  margin-top: 5rem;
  font-size: 0.75rem;
  margin-left: 1rem;
  margin-right: 1rem;
}

@media screen and (max-width: 1440px) {

  #hero-text-1 {
    font-size: 1.65rem;
  }
  
  #hero-text-2 {
    font-size: 1.85rem;
  }

  #actions-container img {
    height: 300px;
  }

  #can-action-text {
    font-size: 0.75rem;
  }
} 

@media screen and (max-width: 1024px) {

  #hero-text-1 {
    font-size: 1.20rem;
  }
  
  #hero-text-2 {
    font-size: 1.55rem;
  }

  #actions-container img {
    height: 200px;
  }

  #can-action-text {
    font-size: 0.55rem;
    line-height: 0.8rem;
    margin-left: 1.7rem;
  }
} 

@media screen and (max-width: 760px) {
  .base-container {
    margin-left:0;
  }
  #hero {
    margin-left: 2rem;
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }

  #hero-img {
    order: -9999;
  }

  #hero-text-1 {
    margin-top: 2rem;
  }

  #actions-container {
    flex-direction: column;
    align-items: center;
  }

  #actions-container img {
    height: 300px;
  }

  #can-action-text {
    font-size: 0.75rem;
    line-height: 1.25rem;
    width: 250px;
  }

  #can-container {
    display: contents;
  }
}
